<template>
  <div class="payment-list-table">
    <table>
      <thead>
        <th class="row-date">Thời gian</th>
        <th class="row-text">Người ủng hộ</th>
        <th class="row-text">Lời nhắn</th>
        <th class="row-num">Số tiền</th>
      </thead>
      <tbody>
        <tr v-for="user in users" :key="user">
          <td class="row-date">{{user.date.getDate()}}/{{user.date.getMonth()+1}}/{{user.date.getFullYear()}}
            <br>{{user.date.getHours()}}:{{user.date.getMinutes()}}</td>
          <td class="row-text">{{user.name}}</td>
          <td class="row-text">{{user.message}}</td>
          <td class="row-num">{{user.amount.toLocaleString()}}</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
import PaymentServices from '@/services/PaymentServices'

export default {
  name: "PaymentListTable",
  props: {
    activityId: String
  },
  data() {
    return {
      payments: [],
      users: [],
    }
  },
  methods: {
    async getRecentPayment(){
      try{
        let response = await PaymentServices.getRecentPayment(this.$route.params.id)
        console.log(response)
        if(response.status == 200){
          this.payments = response.data
        }
        else{          
          alert(response.statusText)
        }        
      }
      catch(err){        
        console.log(err)
        alert('Failed to get Recent Payments')
      }
    }
  },
  mounted(){    
    this.getRecentPayment().then(()=>{
      console.log('get recent')
      this.payments.sort((pay1,pay2) => new Date(pay1.date) < new Date(pay2.date))
      this.payments.forEach(pay => {
        console.log(pay)        
        this.users.push({
          id: pay.id,
          name: pay.first_name + ' ' + pay.last_name,
          date: new Date(pay.date),
          message: pay.message,
          amount: pay.donation,
        });
      })
    })
  }
}
</script>

<style scoped>
.payment-list-table{
  width: 100%;
  height: fit-content;
  display: flex;
  flex-direction: row;
  align-items: center;
  border-radius: 4px;
  overflow: hidden;
}

table{
  width: 100%;
  table-layout: auto;
  border-collapse: collapse;
}

th {
  border-top: 2px solid #333;
  border-bottom: 2px solid #333;
}


td {  
  border-bottom: 1px solid #666;
}

.row-date{
  padding: 10px 10px 10px 0px;
  text-align: left;
}

.row-text {
  padding: 10px;
  text-align: left;
}

.row-num{
  padding: 10px 0px 10px 10px;
  text-align: right;
}

</style>